Description

These are no alternatives:

https://wiki.jenkins-ci.org/display/JENKINS/Clone+Workspace+SCM-+Plugin
https://wiki.jenkins-ci.org/display/JENKINS/Copy+To+Slave+Plugin
https://wiki.jenkins-ci.org/display/JENKINS/Shared+workspace+plugin
https://issues.jenkins-ci.org/browse/JENKINS-20059

History

#1 - 2014-10-30 10:09 - Florian Lier

- Description updated

This seemed promising [1], but does not work properly [2]

[1] https://wiki.jenkins-ci.org/display/JENKINS/Shared+workspace+plugin

[2] https://issues.jenkins-ci.org/browse/JENKINS-20059

#2 - 2014-10-30 10:42 - Johannes Wienke

Maybe the easiest solution would be to generate non-matrix jobs in case only one slave is involved in a job?

#3 - 2014-10-30 10:47 - Florian Lier

Yes.. that would be a fine solution. | was just looking at the Jenkins API which is nicely documented but also quite huge. Ideally, just one checkbox is
needed in the matrix-job configuration which says

[x] Do not checkout before triggering a node

However, at @Jan: Is this a huge change in the build-gen?

#4 - 2014-10-30 16:43 - Jan Moringen

Using "normal" instead of matrix jobs should be doable.

#5 - 2014-10-31 15:29 - Sebastian Meyer zu Borgsen
This would be great.
Can this be done by modifying the templates or does it require changes in the configurator?

| found this comment in the code: "#:kind ; matrix or regular; setfable"
But does not seem to be implemented yet.
#6 - 2014-10-31 15:34 - Jan Moringen

Different kinds of jobs are implemented at a basic level. Buildflow jobs are of a different kind as well, for example.

What is missing is either some logic in the generator to only generate matrix jobs if multiple slaves are assigned or a mechanism to control the kinds
of generated jobs from templates.

#7 - 2014-11-22 10:25 - Florian Lier

What is the current status of this issue?

#8 - 2014-11-24 09:44 - Jan Moringen

What is the current status of this issue?

Didn't get to implementing the feature yet.

#9 - 2015-01-05 17:19 - Florian Lier

Did you make any progress on this, Jan?

#10 - 2015-01-05 17:21 - Jan Moringen

There is an initial implementation of non-matrix jobs in the master branch of the generator. | have to fix some issues before it will be usable, though.

#11 - 2015-01-05 17:23 - Florian Lier

Yeah, that's the work | gave you feedback on in December (I guess).

#12 - 2015-01-05 17:24 - Jan Moringen

Yes, | couldn't finish it last year. Will try now.

#13 - 2015-01-06 14:49 - Jan Moringen

- Status changed from In Progress to Feedback

Should work now.

#14 - 2015-01-07 15:55 - Florian Lier

- Status changed from Feedback to Resolved
